from datetime import datetime


class StandardModel:

    def __init__(self,
                 device_name: str,
                 device_model: str=None,
                 device_unit: str=None,
                 standard_no: str=None,
                 standard_version: str=None,
                 create_time: datetime = None,
                 update_time: datetime = None,
                 remark: str = None):
        self.device_name = device_name
        self.device_model = device_model
        self.device_unit = device_unit
        self.standard_no = standard_no
        self.standard_version = standard_version
        self.create_time = create_time
        self.update_time = update_time
        self.remark = remark
