from datetime import datetime


class StandardUpdateLogModel:

    def __init__(self,
                 project_id: int,
                 device_name: str = None,
                 device_model: str = None,
                 device_unit: str = None,
                 standard_version: str = None,
                 new_standard_no: str = None,
                 old_standard_no: str = None,
                 create_time: datetime = None):
        self.project_id = project_id
        self.device_name = device_name
        self.device_model = device_model
        self.device_unit = device_unit
        self.standard_version = standard_version
        self.new_standard_no = new_standard_no
        self.old_standard_no = old_standard_no
        self.create_time = create_time
